Subject: Parted false warning.

From: dE <[email-masked]>
Date: Sat, 01 Nov 2014 16:38:16 +0530

Hi!

I was using the parted utility to create GPT partitions as a workaround 
to fdisk which forces partitions to start at 1MiB boundaries.

I set the first partition to begin at sector 40 but I got this --

Warning: The resulting partition is not properly aligned for best 
performance.

Which's clearly wrong for the 4K disk, instead it should be --

Warning: The resulting partition may not be properly aligned for best 
performance.

This warning is not shown only when partitions start at 1MiB boundaries.

align-check min claims that the partition is aligned.